"use strict";
exports.id = 470;
exports.ids = [470];
exports.modules = {

/***/ 8457:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _mui_material__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(5692);
/* harmony import */ var _mui_material__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_mui_material__WEBPACK_IMPORTED_MODULE_2__);



const MessageComponent = ({ message , setMessage , type ="success"  })=>{
    const handleClose = ()=>{
        setMessage(null);
    };
    return /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_material__WEBPACK_IMPORTED_MODULE_2__.Snackbar, {
        open: message !== null,
        autoHideDuration: 3000,
        onClose: handleClose,
        children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_material__WEBPACK_IMPORTED_MODULE_2__.Alert, {
            onClose: ()=>setMessage(null),
            severity: type,
            sx: {
                width: "100%"
            },
            children: message
        })
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (MessageComponent);


/***/ }),

/***/ 5193:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
const themeConfig = {
    // ** Layout Configs
    templateName: "JMS" /* App Name */ ,
    mode: "light" /* light | dark */ ,
    contentWidth: "boxed" /* full | boxed */ ,
    // ** Routing Configs
    routingLoader: true,
    // ** Navigation (Menu) Configs
    menuTextTruncate: true,
    navigationSize: 260 /* Number in PX(Pixels) /*! Note: This is for Vertical navigation menu only */ ,
    // ** Other Configs
    responsiveFontSizes: true,
    disableRipple: false,
    direction: "rtl"
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (themeConfig);


/***/ }),

/***/ 4952:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "ZP": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "ix": () => (/* binding */ SettingsConsumer),
/* harmony export */   "iz": () => (/* binding */ AppContextProvider)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var recoil__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(9755);
/* harmony import */ var recoil__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(recoil__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var src_lib_atoms_messageAtom__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6742);
/* harmony import */ var src_components_MessageComponent__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(8457);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(1853);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(8130);
/* harmony import */ var _material_ui_core__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var src_configs_themeConfig__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(5193);







// ** ThemeConfig Import

const initialSettings = {
    themeColor: "primary",
    mode: src_configs_themeConfig__WEBPACK_IMPORTED_MODULE_7__/* ["default"].mode */ .Z.mode,
    contentWidth: src_configs_themeConfig__WEBPACK_IMPORTED_MODULE_7__/* ["default"].contentWidth */ .Z.contentWidth
};
const AppContext = /*#__PURE__*/ (0,react__WEBPACK_IMPORTED_MODULE_1__.createContext)({
    saveSettings: ()=>null,
    settings: initialSettings
});
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (AppContext);
const AppContextProvider = ({ children  })=>{
    const { 0: settings , 1: setSettings  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)({
        ...initialSettings
    });
    const saveSettings = (updatedSettings)=>{
        setSettings(updatedSettings);
    };
    const { 0: messageType , 1: setMessageType  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)("success");
    const { 0: isLogin , 1: setIsLogin  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(true);
    const { 0: loading , 1: setLoading  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(true);
    const { 0: accessToken , 1: setAccessToken  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)("");
    const { 0: user , 1: setUser  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)("");
    const [message, setMessage] = (0,recoil__WEBPACK_IMPORTED_MODULE_2__.useRecoilState)(src_lib_atoms_messageAtom__WEBPACK_IMPORTED_MODULE_3__/* .messageAtom */ .p);
    const router = (0,next_router__WEBPACK_IMPORTED_MODULE_5__.useRouter)();
    const { 0: permissions , 1: setPermissions  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)( false ? 0 : null);
    const { 0: language , 1: setLanguage  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)( false ? 0 : "eng");
    const { 0: direction , 1: setDirection  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)( false ? 0 : "ltr");
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        if (!localStorage.getItem("language")) {
            localStorage.setItem("language", language);
        }
        if (!localStorage.getItem("direction")) {
            localStorage.setItem("direction", direction);
        }
    }, []);
    const login = (accessToken)=>{
        setAccessToken(accessToken);
        setIsLogin(true);
        setMessageType("success");
        setMessage("Logged in successfully");
        router.push("/");
        localStorage.setItem("access_token", accessToken);
    };
    const logout = async ()=>{
        setAccessToken("");
        localStorage.removeItem("access_token");
        await router.push("/login");
        setIsLogin(false);
    };
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        if (typeof localStorage !== "undefined") {
            let access_token_value = localStorage.getItem("access_token");
            setAccessToken(access_token_value);
            if (access_token_value) {
                setIsLogin(true);
            } else {
                setIsLogin(false);
            }
        }
    }, []);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        setLoading(false);
    }, []);
    const context = {
        isLogin,
        setIsLogin,
        setMessageType,
        logout,
        login,
        user,
        setUser,
        accessToken,
        settings,
        saveSettings,
        language,
        setLanguage,
        direction,
        setDirection,
        permissions,
        setPermissions
    };
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)(AppContext.Provider, {
        value: context,
        children: [
            loading ? /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                className: "flex items-center content-center h-screen",
                children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx("div", {
                    className: "flex-1 text-center",
                    children: /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_material_ui_core__WEBPACK_IMPORTED_MODULE_6__.CircularProgress, {
                        size: 60
                    })
                })
            }) : children,
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(src_components_MessageComponent__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z, {
                message: message,
                type: messageType,
                setMessage: (e)=>setMessage(e)
            })
        ]
    });
};
const SettingsConsumer = AppContext.Consumer;


/***/ }),

/***/ 2470:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var jwt_decode__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(5567);
/* harmony import */ var jwt_decode__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(jwt_decode__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2167);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1635);
/* harmony import */ var dayjs__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(dayjs__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var _context_AppContext__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(4952);





const useAxios = ()=>{
    const baseURL = "http://localhost:8000/api";
    const { accessToken , logout  } = (0,react__WEBPACK_IMPORTED_MODULE_3__.useContext)(_context_AppContext__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .ZP);
    const axiosInstance = axios__WEBPACK_IMPORTED_MODULE_1___default().create({
        baseURL: "http://localhost:8000/api".replace("{{lang}}",  false ? 0 : "eng"),
        baseURL,
        headers: {
            accept: "application/json",
            Authorization: `Bearer ${accessToken}`
        }
    });
    axiosInstance.interceptors.request.use(async (req)=>{
        const user = jwt_decode__WEBPACK_IMPORTED_MODULE_0___default()(accessToken);
        const isExpired = dayjs__WEBPACK_IMPORTED_MODULE_2___default().unix(user.exp).diff(dayjs__WEBPACK_IMPORTED_MODULE_2___default()()) < 1;
        if (!isExpired) {
            req.headers.Authorization = `Bearer ${accessToken}`;
            return req;
        }
        logout();
    });
    return axiosInstance;
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useAxios);


/***/ }),

/***/ 6742:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "p": () => (/* binding */ messageAtom)
/* harmony export */ });
/* harmony import */ var recoil__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(9755);
/* harmony import */ var recoil__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(recoil__WEBPACK_IMPORTED_MODULE_0__);

const messageAtom = (0,recoil__WEBPACK_IMPORTED_MODULE_0__.atom)({
    key: "messageAtom",
    default: null
});


/***/ })

};
;