"use strict";
exports.id = 617;
exports.ids = [617];
exports.modules = {

/***/ 1773:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var src_context_AppContext__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4952);



const ProtectedUi = ({ role , view =true , onlyAdmin =false , children  })=>{
    const { 0: show , 1: setShow  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const { permissions , user , logout  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(src_context_AppContext__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .ZP);
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        if (user?.is_superuser) {
            setShow(true);
        } else {
            if (onlyAdmin) {
                if (!user?.user?.is_admin) {
                    if (view) {
                        setShow(false);
                    } else {
                        logout();
                    }
                } else {
                    setShow(true);
                }
            } else {
                if (permissions?.includes(role)) {
                    setShow(true);
                } else {
                    if (!view) {
                        logout();
                    } else {
                        setShow(false);
                    }
                }
            }
        }
    }, [
        role,
        view,
        onlyAdmin,
        permissions
    ]);
    return show && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
        children: children
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (ProtectedUi);


/***/ }),

/***/ 4865:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _mui_lab__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(6072);
/* harmony import */ var _mui_lab__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_mui_lab__WEBPACK_IMPORTED_MODULE_2__);



const TableLoading = ()=>{
    return /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
        children: [
            /*#__PURE__*/ (0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsxs)("div", {
                className: "grid grid-cols-6 gap-5",
                children: [
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                        animation: "wave",
                        height: 50
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                        animation: "wave",
                        height: 50
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                        animation: "wave",
                        height: 50
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                        animation: "wave",
                        height: 50
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                        animation: "wave",
                        height: 50
                    }),
                    /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                        animation: "wave",
                        height: 50
                    })
                ]
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                animation: "wave"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                animation: "wave"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                animation: "wave"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                animation: "wave"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                animation: "wave"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                animation: "wave"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                animation: "wave"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                animation: "wave"
            }),
            /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(_mui_lab__WEBPACK_IMPORTED_MODULE_2__.Skeleton, {
                animation: "wave"
            })
        ]
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (TableLoading);


/***/ }),

/***/ 897:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var src_context_AppContext__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(4952);
/* harmony import */ var swr__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(549);
/* harmony import */ var swr__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(swr__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var _useAxios__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2470);
/* harmony import */ var _useErrors__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(6460);





const useLanguage = ()=>{
    const { errorHandler  } = (0,_useErrors__WEBPACK_IMPORTED_MODULE_4__/* ["default"] */ .Z)();
    const { language  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(src_context_AppContext__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .ZP);
    const request = (0,_useAxios__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .Z)("translation");
    const { data , error  } = swr__WEBPACK_IMPORTED_MODULE_2___default()(`get/langauge/words/${language}`, ()=>{
        return request.get(`/translations/${language}/get/language/words`).then((res)=>res.data).catch((err)=>errorHandler(err));
    });
    (0,react__WEBPACK_IMPORTED_MODULE_0__.useEffect)(()=>{
        console.log(data);
    }, [
        data
    ]);
    const translate = (word)=>{
        if (data) {
            return typeof data[word.toLowerCase().replace(/\s+/g, "-")] === "undefined" ? word : data[word.toLowerCase().replace(/\s+/g, "-")];
        }
        if (error) {
            return word;
        }
    };
    return {
        translate
    };
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useLanguage);


/***/ })

};
;