import React from 'react'
import { Alert, Snackbar } from '@mui/material'

const MessageComponent = ({ message, setMessage, type = 'success' }) => {
    const handleClose = () => {
        setMessage(null)
    }
    
return (
        <Snackbar
            open={message !== null}
            autoHideDuration={3000}
            onClose={handleClose}
        >
            <Alert
                onClose={() => setMessage(null)}
                severity={type}
                sx={{ width: '100%' }}
            >
                {message}
            </Alert>
        </Snackbar>
    )
}

export default MessageComponent