import React, { useContext, useEffect } from 'react'
import Axios from 'axios'
import AppContext from '../context/AppContext'
import useAxios from './useAxios'

const useAuth = () => {
  const { login: appLogin, accessToken, logout: appLogout, checkUser } = useContext(AppContext)

  const request = useAxios('')

  const axios = Axios.create({
    baseURL: process.env.NEXT_PUBLIC_BACKEND_URL,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded',
      accept: 'application/json'
    }
  })

  const login = async (email, password, setError, setLoading) => {
    setLoading(true)
    const form_data = new FormData()
    form_data.append('email', email)
    form_data.append('password', password)

    // form_data.append('grant_type', 'password')
    // form_data.append('client_id', null)
    // form_data.append('client_secret', null)
    // form_data.append('scope', null)
    axios
      .post('/login', form_data)
      .then(res => {
        setLoading(false)
        appLogin(res?.data?.token)
        
return true
      })
      .catch(err => {
        console.log(err)
        setLoading(false)
        setError('email', {
          message: err?.response?.data?.error
        })
      })
  }

  const logout = async () => {
    if (!error) {
      localStorage.removeItem('access_token')
      localStorage.removeItem('token')
      revalidate()
    }
    window.location.pathname = '/login'
  }

  const chechUser = () => {
    return request.get('user')
  }

  return {
    login,
    logout,
    chechUser
  }
}

export default useAuth
