import React, { useContext, useEffect } from 'react'
import AppContext from 'src/context/AppContext'
import useSWR from 'swr'
import useAxios from './useAxios'
import useErrors from './useErrors'

const useLanguage = () => {
  const { errorHandler } = useErrors()
  const { language } = useContext(AppContext)
  const request = useAxios('translation')

  const { data, error } = useSWR(`get/langauge/words/${language}`, () => {
    return request
      .get(`/translations/${language}/get/language/words`)
      .then(res => res.data)
      .catch(err => errorHandler(err))
  })

  useEffect(() => {
    console.log(data)
  }, [data])

  const translate = word => {
    if (data) {
      return typeof data[word.toLowerCase().replace(/\s+/g, '-')] === 'undefined'
        ? word
        : data[word.toLowerCase().replace(/\s+/g, '-')]
    }
    if (error) {
      return word
    }
  }
  
return {
    translate
  }
}

export default useLanguage
